summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2005-08-25 11:02:18 +0000
committerLennart Poettering <lennart@poettering.net>2005-08-25 11:02:18 +0000
commitda588d3f6146349a56002651fc2ac24a3b960340 (patch)
tree021f3e4137885d598281d19ef7c06b391e493f44
parent36836896abf83d034898a7f9b0254b819d4cc55f (diff)
small build system updates
git-svn-id: file:///home/lennart/svn/public/heatload/trunk@20 3bca8330-beed-0310-b360-ea58cfc96e4b
-rwxr-xr-xbootstrap.sh15
-rw-r--r--configure.ac2
2 files changed, 9 insertions, 8 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 3ccb697..1442958 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -17,6 +17,8 @@
# along with heatload; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+VERSION="1.9"
+
run_versioned() {
local P
type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
@@ -24,23 +26,22 @@ run_versioned() {
shift 2
"$P" "$@"
}
+
+set -ex
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.8 -a -c --foreign
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
-
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.8
+ run_versioned aclocal "$VERSION"
autoheader
- run_versioned automake 1.8 -a -c --foreign
+ run_versioned automake "$VERSION" -a -c --foreign
autoconf -Wall
- CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+ CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc "$@"
make clean
fi
diff --git a/configure.ac b/configure.ac
index 9eee559..1cf25b2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -23,7 +23,7 @@ AC_PREREQ(2.59)
AC_INIT([heatload],[0.4],[mzurngybnq (at) 0pointer (dot) de])
AC_CONFIG_SRCDIR([src/heatload.cc])
AC_CONFIG_HEADERS([config.h])
-AM_INIT_AUTOMAKE([foreign -Wall])
+AM_INIT_AUTOMAKE([foreign 1.9 -Wall])
AC_SUBST(PACKAGE_URL, [http://0pointer.de/lennart/projects/heatload/])